UPDATE PLEASE Rated 1 out of 5 stars

This worked great until they updated Firefox...now it's not compatible with 5.0.